<?php

namespace App\Http\Controllers\Peertube\Admin;
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use App\Http\Controllers\Peertube\Common;
// use Illuminate\Support\Facades\Log;

class Users extends Common {
  private $common;

  public function __construct () {
    $this->common = new Common;
  }

  public function index () {
    if (!isset($this->common->user['me']) || is_null($this->common->user['me'])) {
      if ($this->common->user['me']->adminFlags != 1) {
        return redirect('/peertube/videos/local');
      }
      return redirect('/peertube/login');
    }

    $res = [
      'page' => 'dummy',
      'style' => 'dummy',
      'userinfo' => $this->common->user,
    ];
    // $res['owner'] = $this->getOwner($id);
    return view('pages.peertube.notyet', ['res' => $res]);
  }

  function getOwner ($id) {
    return $this->ptapi('/api/v1/accounts/'.$id);
  }
}
